Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1364278 - [abrt] plasma-workspace-drkonqi: qt_message_fatal(): drkonqi killed by SIGABRT
Summary: [abrt] plasma-workspace-drkonqi: qt_message_fatal(): drkonqi killed by SIGABRT
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: plasma-workspace
Version: 26
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: KDE SIG
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:281a29572ec8c6eabe7f3615aee...
Depends On: 1370222
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-04 23:14 UTC by iliketurtlesbro
Modified: 2017-11-09 06:48 UTC (History)
17 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-10-06 12:43:20 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2016-08-04 23:14 UTC, iliketurtlesbro
no flags Details
File: cgroup (deleted)
2016-08-04 23:14 UTC, iliketurtlesbro
no flags Details
File: core_backtrace (deleted)
2016-08-04 23:14 UTC, iliketurtlesbro
no flags Details
File: dso_list (deleted)
2016-08-04 23:14 UTC, iliketurtlesbro
no flags Details
File: environ (deleted)
2016-08-04 23:14 UTC, iliketurtlesbro
no flags Details
File: limits (deleted)
2016-08-04 23:14 UTC, iliketurtlesbro
no flags Details
File: maps (deleted)
2016-08-04 23:14 UTC, iliketurtlesbro
no flags Details
File: mountinfo (deleted)
2016-08-04 23:14 UTC, iliketurtlesbro
no flags Details
File: namespaces (deleted)
2016-08-04 23:14 UTC, iliketurtlesbro
no flags Details
File: open_fds (deleted)
2016-08-04 23:14 UTC, iliketurtlesbro
no flags Details
File: proc_pid_status (deleted)
2016-08-04 23:14 UTC, iliketurtlesbro
no flags Details
File: var_log_messages (deleted)
2016-08-04 23:14 UTC, iliketurtlesbro
no flags Details

Description iliketurtlesbro 2016-08-04 23:14:26 UTC
Version-Release number of selected component:
plasma-workspace-drkonqi-5.7.3-2.fc26

Additional info:
reporter:       libreport-2.7.2
backtrace_rating: 4
cmdline:        /usr/libexec/drkonqi -platform xcb -display :0 --appname kdeinit5 --kdeinit --apppath /usr/bin --signal 11 --pid 1719 --startupid 0 --restarted
crash_function: qt_message_fatal
executable:     /usr/libexec/drkonqi
global_pid:     2314
kernel:         4.8.0-0.rc0.git3.1.fc26.x86_64
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #2 qt_message_fatal at global/qlogging.cpp:1680
 #3 QMessageLogger::fatal at global/qlogging.cpp:793
 #4 QXcbConnection::QXcbConnection at qxcbconnection.cpp:592
 #5 QXcbIntegration::QXcbIntegration at qxcbintegration.cpp:186
 #6 QXcbIntegrationPlugin::create at qxcbmain.cpp:56
 #7 QPlatformIntegrationFactory::create at kernel/qplatformintegrationfactory.cpp:71
 #8 init_platform at kernel/qguiapplication.cpp:1094
 #9 QGuiApplicationPrivate::createPlatformIntegration at kernel/qguiapplication.cpp:1263
 #10 QGuiApplicationPrivate::createEventDispatcher at kernel/qguiapplication.cpp:1280
 #11 QCoreApplicationPrivate::init at kernel/qcoreapplication.cpp:787

Potential duplicate: bug 1351165

Comment 1 iliketurtlesbro 2016-08-04 23:14:32 UTC
Created attachment 1187656 [details]
File: backtrace

Comment 2 iliketurtlesbro 2016-08-04 23:14:33 UTC
Created attachment 1187657 [details]
File: cgroup

Comment 3 iliketurtlesbro 2016-08-04 23:14:34 UTC
Created attachment 1187658 [details]
File: core_backtrace

Comment 4 iliketurtlesbro 2016-08-04 23:14:35 UTC
Created attachment 1187659 [details]
File: dso_list

Comment 5 iliketurtlesbro 2016-08-04 23:14:35 UTC
Created attachment 1187660 [details]
File: environ

Comment 6 iliketurtlesbro 2016-08-04 23:14:36 UTC
Created attachment 1187661 [details]
File: limits

Comment 7 iliketurtlesbro 2016-08-04 23:14:37 UTC
Created attachment 1187662 [details]
File: maps

Comment 8 iliketurtlesbro 2016-08-04 23:14:38 UTC
Created attachment 1187663 [details]
File: mountinfo

Comment 9 iliketurtlesbro 2016-08-04 23:14:39 UTC
Created attachment 1187664 [details]
File: namespaces

Comment 10 iliketurtlesbro 2016-08-04 23:14:40 UTC
Created attachment 1187665 [details]
File: open_fds

Comment 11 iliketurtlesbro 2016-08-04 23:14:41 UTC
Created attachment 1187666 [details]
File: proc_pid_status

Comment 12 iliketurtlesbro 2016-08-04 23:14:42 UTC
Created attachment 1187667 [details]
File: var_log_messages

Comment 13 Peter Gervase 2016-09-15 20:49:35 UTC
Similar problem has been detected:

I'm sorry, but I'm not 100% sure as to the order of events... I was working on my other computer when I noticed the screen saver about to start. I hit the arrow key to stop that and went back to working on the other computer for a while. I came back to my computer here and went to unlock it. Not paying any attention, I typed in my password and hit enter. I didn't notice that it would start a new session or something (since I'd hit the arrow key a few minutes prior trying to stop the auto screen lock). 

Here's where I'm not 100% about... either:
1) Well, the new session didn't load all the way or maybe I was too inpatient, but I let it go for about 20 seconds and the kde loading login progress bar was stuck at abour 40% loaded. I contol + alt + f3 and that got me to a new session. I control + alt + f1 and that brought me back to the unlock screen for my user. I unlocked it, but I then had this issue with the application crashing.
or
2) My new session attempt did load and then I saw it was a new session. I then did the control alt f3, control alt f1 to get back to the unlock screen for my previous session. 

reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        /usr/libexec/drkonqi -platform xcb -display :1 --appname kwin_x11 --apppath /usr/bin --signal 11 --pid 20243 --appversion 5.7.4 --programname KWin --bugaddress submit@bugs.kde.org --startupid 0
crash_function: qt_message_fatal
executable:     /usr/libexec/drkonqi
global_pid:     20307
kernel:         4.8.0-0.rc3.git2.1.fc26.x86_64
package:        plasma-workspace-drkonqi-5.7.4-1.fc26
pkg_vendor:     Fedora Project
reason:         drkonqi killed by SIGABRT
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 14 Fedora End Of Life 2017-02-28 10:03:03 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 15 josep 2017-07-17 15:59:11 UTC
*** Bug 1471909 has been marked as a duplicate of this bug. ***

Comment 16 alain.thiaville 2017-07-18 05:56:38 UTC
Similar problem has been detected:

login after poweron/off

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/krunner
crash_function: qt_message_fatal
executable:     /usr/bin/krunner
journald_cursor: s=47ecbea39ead43c8b3958e9cb12c6a8f;i=11698b;b=39248daad4594e85bf2002aa8326e5a5;m=baf8bb0a8;t=5549058f67f89;x=c04f7efa26b10432
kernel:         4.11.9-300.fc26.x86_64
package:        plasma-workspace-5.10.1-1.fc26
reason:         krunner killed by signal 6
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1001

Comment 17 alain.thiaville 2017-07-18 05:59:26 UTC
Similar problem has been detected:

login after poweroff/on

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/libexec/drkonqi -platform xcb -display :3 --appname krunner --apppath /usr/bin --signal 11 --pid 12161 --appversion 5.10.1 --programname krunner --bugaddress submit@bugs.kde.org --startupid 0 --restarted
crash_function: qt_message_fatal
executable:     /usr/libexec/drkonqi
journald_cursor: s=47ecbea39ead43c8b3958e9cb12c6a8f;i=116993;b=39248daad4594e85bf2002aa8326e5a5;m=baf917cda;t=5549058fc4bbb;x=dc10bd6ef486061d
kernel:         4.11.9-300.fc26.x86_64
package:        plasma-workspace-drkonqi-5.10.1-1.fc26
reason:         drkonqi killed by signal 6
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1001

Comment 18 Rex Dieter 2017-07-18 11:52:03 UTC
xauth issue, from var_log_messages:

Aug 04 15:44:33 laptop drkonqi[2314]: QXcbConnection: Could not connect to display :0

Comment 19 webdesigner 2017-08-07 17:10:44 UTC
*** Bug 1479005 has been marked as a duplicate of this bug. ***

Comment 20 alain.thiaville 2017-08-12 04:55:17 UTC
Similar problem has been detected:

logout in a vnc session

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/libexec/ksmserver-logout-greeter --shutdown-allowed --mode logout --mode-fd 35
crash_function: qt_message_fatal
executable:     /usr/libexec/ksmserver-logout-greeter
journald_cursor: s=928a62ee230c4476b647df572000d001;i=2e34c;b=0e501ae2a1f640e5831cb869083d2633;m=6af7e2b7ec;t=556871dcd59d1;x=baaab16449aa6573
kernel:         4.11.11-300.fc26.x86_64
package:        plasma-workspace-5.10.4-1.fc26
reason:         ksmserver-logout-greeter killed by signal 6
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1001

Comment 21 w-495 2017-08-19 02:56:57 UTC
Similar problem has been detected:

May be switching like: {Plasma} -> {SDDM} -> {LxQT}. All via UI.

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/kuiserver5
crash_function: qt_message_fatal
executable:     /usr/bin/kuiserver5
journald_cursor: s=2274a2e59f8446c3b4f200fbaef6799f;i=20b2;b=37b58c5f614c4b46a818bf2d49a093fe;m=6c517d01;t=5558c62d003ad;x=24f03b7f0d630cd8
kernel:         4.11.8-300.fc26.x86_64
package:        plasma-workspace-5.10.1-1.fc26
reason:         kuiserver5 killed by signal 6
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 22 Rex Dieter 2017-08-20 14:02:07 UTC
from backtrace:

#3  QMessageLogger::fatal (this=this@entry=0x7ffec5585ac0, msg=msg@entry=0x7ffba639a9e8 "QXcbConnection: Could not connect to display %s") at global/qlogging.cpp:793

likely related to bug #1370222

Comment 23 Martin Ueding 2017-09-21 12:35:21 UTC
*** Bug 1494078 has been marked as a duplicate of this bug. ***

Comment 24 webdesigner 2017-09-24 21:25:51 UTC
*** Bug 1495010 has been marked as a duplicate of this bug. ***

Comment 25 ssabchew 2017-10-01 12:27:54 UTC
*** Bug 1497529 has been marked as a duplicate of this bug. ***

Comment 26 ssabchew 2017-10-06 11:35:01 UTC
*** Bug 1499209 has been marked as a duplicate of this bug. ***

Comment 27 Rex Dieter 2017-10-06 12:43:20 UTC
This should be fixed by an update that fixes the linked bug #1370222

https://bodhi.fedoraproject.org/updates/FEDORA-2017-d119cd8c3f

Comment 28 ssabchew 2017-11-09 06:48:12 UTC
*** Bug 1511315 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.